Skip to navigation

Create TestDefinition

Beta

Create a Test Definition that can be referenced by Test Orders and assay workflows.

Required fields

FieldDescription
nameDisplay name. Names are trimmed and must be unique within organizationId.
organizationIdOwning organization. Use GET /benchling/organization/items to find organization IDs.
resultSchemaIdResult schema that defines the measurements captured by this test. Use GET /benchling/result-schema/items to find result schema IDs.
descriptionHuman-readable description. Empty strings are allowed.

Notes

  • The creator is set automatically from the authenticated user or app.
  • The caller must have admin access to the organization and read access to the result schema.
  • name and description must each be at most 255 characters.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
descriptionstringRequired

Human-readable description for the test definition. Empty strings are allowed; values must be at most 255 characters.

namestringRequired

Display name for the test definition. Must be non-empty after trimming whitespace and unique within the organization.

organizationIdstringRequired
The API ID of the organization that owns the test definition.
resultSchemaIdstringRequired
The API ID of the result schema that defines the shape of results captured for this test.

Response

Created
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
Timestamp of when the test definition was created.
creatorobjectOptional
The user that created the test definition.
descriptionstringOptional
The description of the test definition. Empty strings are allowed.
idstringOptional
The ID of the test definition.
modifiedAtstringOptional
Timestamp of when the test definition was last modified.
namestringOptional
The name of the test definition.
organizationobjectOptional
The organization that owns the test definition, used for auth.
resultSchemaobjectOptional
The result schema of the test definition, defines the measurement data shape.

Errors

400
Test Definition Create Request Bad Request Error
403
Test Definition Create Request Forbidden Error
404
Test Definition Create Request Not Found Error
409
Test Definition Create Request Conflict Error
429
Test Definition Create Request Too Many Requests Error
500
Test Definition Create Request Internal Server Error